<?php
 include_once '../../sys/db.php';
 include_once '../../sys/fnc.php';
	/*	 Функция ank	*/
$user_q = mysql_query("SELECT `id`,`pol`,`login`,`name`,`pass`,`blog_add`,`blocking`,`position` FROM `user` WHERE `id` = '". mysql_real_escape_string($_GET['id']) ."'");
$ank = mysql_fetch_object($user_q); 
	/*	Вывод пола user	*/
if ($ank->pol == 0)$pol_ank = 'Женский'; else $pol_ank = 'Мужской';
	/* Пользователя такого нет */
if (mysql_num_rows($user_q) != 1) {
$title = 'Ошибка страницы';
 include_once '../../sys/head.php';
echo $div->div_razd.'Страница</div>';
echo $div->div_err.'Такого пользователя не существует!</div>';
 include_once '../../sys/foot.php';
exit;
}
/*	Для редактивирования	*/
if (isset($_GET['act']) && $_GET['act']=='edit_ank'){
if (isset($_POST['save_ank'])) {
$name = html($_POST['name']);
$pass = html($_POST['pass']);
$pol = intval($_POST['pol']);
mysql_query("UPDATE `user` SET `name` = '$name', `pol` = '$pol', `pass` = '$pass' WHERE `id` = '". $user->id ."'");
}
$title = 'Редактировать анкету: '.$user->login.'';
include_once '../../sys/head.php';
echo $div->div_razd.'Редактировать анкету: '.$user->login.'</div>';
echo $div->div_menu.'<form method="post">
<b>Имя</b>:<br><input type="text" name="name" value="'. html($user->name) .'" maxlength="32" /><br>
<b>Пароль</b>:<br><input type="text" name="pass" value="'. html($user->pass) .'" maxlength="32" /><br>
<b>Пол</b>:<br>
<input name="pol" type="radio" '. ($user->pol == 0 ? 'checked="checked"' : null) .' value="0" />Женский
<br><input name="pol" type="radio" '. ($user->pol == 1 ?'checked="checked"' : null) .' value="1" />Мужской<br>
<input type="submit" name="save_ank" value="Сохранить" />
</form></div>'.$div->div_menu.' <a href="/pages/user/user.view.php?id='.$ank->id.'">Назад</a></div>';
 include_once '../../sys/foot.php';
}	
// Редактировать анкету user
if (isset($_GET['act']) && $_GET['act']=='edit_user'){
$u = mysql_query("SELECT * FROM `user` WHERE `id` = '". intval($_GET['id']) ."'");
if (mysql_num_rows($u) != 1) {
$title = 'Ошибка';
include_once '../../sys/head.php';
echo $div->div_razd.'<a href="index.php">Пользователи</a> / Ошибка</div>';
echo $div->div_err.'Такого пользователя не существует!</div>
<a href="index.php"><img src="/design/imgs/arr_b.png"> Назад</a>';
 include_once '../../sys/foot.php';
exit;
}
$title = 'Редактировать анкету: '.$user->login.'';
include_once '../../sys/head.php';

// Проверяем на доступ
if ($user->position != 'admin' || $user->id == $ank->id){
echo $div->div_err.'Доступ к скрипту закрыт</div>';
include_once '../../sys/foot.php';
exit;
}
if (isset($_POST['save_s'])) {
$name = html($_POST['name']);
$pass = html($_POST['pass']);
$blog_add = intval($_POST['blog_add']);
$blocking = intval($_POST['blocking']);
$position = html($_POST['position']);

mysql_query("UPDATE `user` SET `name` = '$name', `pass` = '$pass', `blog_add` = '$blog_add', `blocking` = '$blocking', `position` = '$position' WHERE `id` = '". $ank->id ."'");
}
echo $div->div_razd.'Редактировать анкету: '.$ank->login.'</div>';
echo $div->div_menu.'<form method="post">
<b>Имя</b>:<br><input type="text" name="name" value="'. html($ank->name) .'" maxlength="32" /><br>
<b>Пароль</b>:<br><input type="text" name="pass" value="'. html($ank->pass) .'" maxlength="32" /><br>';
?>
<label><input type='checkbox' name='blog_add'<? echo $ank->blog_add?" checked='checked'":null ;?> value='1' /> Добавлять статьи</label><br />
<label><input type='checkbox' name='blocking'<? echo $ank->blocking?" checked='checked'":null ;?> value='1' /> Блокировать аккаунт</label><br />
Должность: <br />
<?
echo "<select name='position'>";
echo "<option value='user'".($ank->position == user?" selected='selected'":null).">Пользователей</option>\n";
echo "<option value='mod'".($ank->position == mod?" selected='selected'":null).">Модератор</option>\n";
echo "<option value='admin'".($ank->position == admin?" selected='selected'":null).">Администратор</option>\n";
echo "</select><br />\n";
?>
<input type="submit" name="save_s" value="Сохранить" />
</form></div><? echo $div->div_menu; ?> <a href="/pages/user/user.view.php?id=<? echo $ank->id; ?>">Назад</a></div>
<?
 include_once '../../sys/foot.php';
}	
$title = 'Страница '.$ank->login.'';
 include_once '../../sys/head.php';
// Раздел
echo $div->div_razd.'Страница '.$ank->login.'</div>';
// Выводим должность
if ($ank->position == 'admin')$position = 'Администратор';
if ($ank->position == 'mod')$position = 'Модератор';
if ($ank->position == 'user')$position = 'Пользователей';
// Проверка на блокировку аккаунта
if ($ank->blocking == 1)echo $div->div_err.'Аккаунт заблокирован</div>';
// Проверка на добавление статей
if ($ank->blog_add == 1)echo $div->div_menu.'<i class="fa fa-book fa-fw"></i> Есть право создавать статьи</div>';
echo $div->div_menu.'<i class="fa fa-user-circle-o fa-fw"></i> Логин: '.$ank->login.'</div>';
echo $div->div_menu.'<i class="fa fa-address-card fa-fw"></i> Имя: '. html($ank->name) .'</div>';
echo $div->div_menu.'<i class="fa fa-bullseye fa-fw"></i> Пол: '. $pol_ank .'</div>';
echo $div->div_menu.'<i class="fa fa-certificate fa-fw"></i> Должность: '. $position .'</div>';

if ($ank->id == $user->id)echo $div->div_menu.'<i class="fa fa-ellipsis-v fa-fw"></i> <a href="'.$HOME.'/pages/user/user.view.php?id='.$ank->id.'&act=edit_ank">Редактировать</a></div>';
if ($ank->id != $user->id && $user->position == 'admin') echo $div->div_menu.'<i class="fa fa-ellipsis-v fa-fw"></i> <a href="'.$HOME.'/pages/user/user.view.php?id='.$ank->id.'&act=edit_user">Редактировать</a> (ADM)</div>';

include_once '../../sys/foot.php';
?>